Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v2
Class MaximumAgeAuthorizedType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v2.MaximumAgeAuthorizedType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:20:35+01:00",
               comments="JAXB RI v2.3.6")
    public class MaximumAgeAuthorizedType

extends Object
implements Serializable

Java class for MaximumAgeAuthorizedType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MaximumAgeAuthorizedType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>float">
           <attribute name="unit" use="required" type="{urn:be:fgov:ehealth:samcivics:type:v2}ValidityPeriodUnit" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MaximumAgeAuthorizedType()`

Method Summary
`ValidityPeriodUnit` | `getUnit()` Gets the value of the unit property.
`float` | `getValue()` Gets the value of the value property.
`void` | `setUnit(ValidityPeriodUnit value)` Sets the value of the unit property.
`void` | `setValue(float value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaximumAgeAuthorizedType

    public MaximumAgeAuthorizedType()

Method Detail

### getValue

    public float getValue()

  Gets the value of the value property.

### setValue

    public void setValue(float value)

  Sets the value of the value property.

### getUnit

    public ValidityPeriodUnit getUnit()

  Gets the value of the unit property.

  Returns:
    possible object is `ValidityPeriodUnit`

### setUnit

    public void setUnit(ValidityPeriodUnit value)

  Sets the value of the unit property.

  Parameters:
    `value` - allowed object is `ValidityPeriodUnit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.